function [res] = ABCDprod(a,b);
%getABCD - Multiply two ABCD matrices (over all f)
%
% Parameter:    a,b        The two ABCD matrices
% Returns:      res        The resulting ABCD matrix
%
% Example(s):
%
% Reference:
% 
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2001 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FSAN xDSL simulation tool
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: ABCDprod.m,v 1.1 2001/12/05 15:00:22 tono Exp $
%% ===========================================================================
% Change History
%      2001-11-10 (ToNo) Created
%% ===========================================================================

res{1,1}=a{1,1}.*b{1,1}+a{1,2}.*b{2,1};
res{1,2}=a{1,1}.*b{1,2}+a{1,2}.*b{2,2};
res{2,1}=a{2,1}.*b{1,1}+a{2,2}.*b{2,1};
res{2,2}=a{2,1}.*b{1,2}+a{2,2}.*b{2,2};
